[patch] testsuite/cpio.tests: removes the SKIP line

Cristian Ionescu-Idbohrn cristian.ionescu-idbohrn at axis.com
Tue May 6 06:45:23 PDT 2008


On Tue, 6 May 2008, Denys Vlasenko wrote:

> On Sunday 04 May 2008 11:18, Cristian Ionescu-Idbohrn wrote:
> > Not needed as next is exit.
>
> -#!/bin/sh
> +#!/bin/sh -e

Or, better (as Mike Frysinger suggested)

 #!/bin/sh
+
+set -e

> Why?

Why not?

Unhandled errors will abort the rest of the script:

        -e errexit       If not interactive, exit immediately if any
                         untested command fails.  The exit status of a com-
                         mand is considered to be explicitly tested if the
                         command is used to control an if, elif, while, or
                         until; or if the command is the left hand operand
                         of an ``&&'' or ``||'' operator.

but I believe you already know that.  Scripts, and especially test
scripts, should handle all possible errors.


Cheers,

-- 
Cristian


More information about the busybox mailing list